org.eclipse.wst.jsdt.core

## Interface IProblemRequestor

    public interface IProblemRequestor

A callback interface for receiving javaScript problem as they are discovered by some JavaScript operation.

See Also:
  `Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `acceptProblem(IProblem problem)` Notification of a JavaScript problem.
`void` `beginReporting()` Notification sent before starting the problem detection process.
`void` `endReporting()` Notification sent after having completed problem detection process.
`boolean` `isActive()` Predicate allowing the problem requestor to signal whether or not it is currently interested by problem reports.

### Method Detail

#### acceptProblem

    void acceptProblem(IProblem problem)

Notification of a JavaScript problem.

Parameters:
  `problem` - IProblem - The discovered JavaScript problem.

#### beginReporting

    void beginReporting()

Notification sent before starting the problem detection process. Typically, this would tell a problem collector to clear previously recorded problems.

#### endReporting

    void endReporting()

Notification sent after having completed problem detection process. Typically, this would tell a problem collector that no more problems should be expected in this iteration.

#### isActive

    boolean isActive()

Predicate allowing the problem requestor to signal whether or not it is currently interested by problem reports. When answering `false`, problem will not be discovered any more until the next iteration. This predicate will be invoked once prior to each problem detection iteration.

Returns:
  boolean - indicates whether the requestor is currently interested by problems.